<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SupportTicket extends Model
{
    protected $guarded = array('id');
    public $table = "support_tickets";

  


    public function modified_by_info(){
      return $this->hasOne('App\Models\StaffMember', 'id', 'last_modified_by');
    }
    
    public function created_by_info(){
      return $this->hasOne('App\Models\StaffMember', 'id', 'created_by');
    }
    public function assignedTo(){
      return $this->hasOne('App\Models\StaffMember', 'id', 'assigned_to');
    }
}
